Subject: Re: A simpler approach to tracking directories (was: The philosophy behind my directory proposal in a nutshell)

From: Jakub Narebski <[email-masked]>
Date: Sun, 22 Jul 2007 20:13:23 +0200

Theodore Tso wrote:

> Another way of putting is this single bit of information meaning "keep
> this directory around when empty" is something that ***must*** be
> representable in three different places: in a git tree object, in the
> index, *AND* in the working tree.  The problem with "." is that since
> all directories contain the "." entry, you can't represent the bit of
> information you want to record in the working tree in that way.

I don't think the "do not delete when empty" bit must be somehow represented
in the working directory. It is enough to have this bit in index to deal
with working directory, and in the repository to have it persistent.

Compare with submodules, and with unmerged entries (which sometimes do not
have worktree representation).

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git